import { Graph, Node } from "@antv/x6";
import Topic from "@/components/mindMap/Topic";
import { BorderSize, TopicType } from "@/enum";
import { addTopic } from "@/utils/mindMap";
import { MindMapProjectInfo } from "@/types";
import { topicData } from "@/config/data";

export const bindMindMapEvents = (
  graph: Graph,
  mindProjectInfo?: MindMapProjectInfo,
  setMindProjectInfo?: (info: MindMapProjectInfo) => void
) => {
  graph.on("node:click", ({ cell }) => {
    console.log("node:click", cell);
  });

  // 双击-新增自由主题
  graph.on("blank:dblclick", (args) => {
    graph.addNode({
      ...Topic,
      x: args.x,
      y: args.y,
      width: 104,
      height: 40,
      data: {
        ...topicData,
        type: TopicType.branch,
        label: "自由主题",
        borderSize: BorderSize.medium,
      },
    });
  });
};
